org.apache.solr.security

## Class Sha256AuthenticationProvider

- java.lang.Object
- - org.apache.solr.security.Sha256AuthenticationProvider

- All Implemented Interfaces:
    BasicAuthPlugin.AuthenticationProvider, ConfigEditablePlugin

      public class Sha256AuthenticationProvider
      extends Object
      implements ConfigEditablePlugin, BasicAuthPlugin.AuthenticationProvider

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Sha256AuthenticationProvider()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `authenticate(String username, String password)`
    `Map<String,Object>` | `edit(Map<String,Object> latestConf, List<CommandOperation> commands)` Operate the commands on the latest conf and return a new conf object If there are errors in the commands , throw a SolrException.
    `Map<String,String>` | `getPromptHeaders()`
    `void` | `init(Map<String,Object> pluginConfig)`
    `static String` | `sha256(String password, String saltKey)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Sha256AuthenticationProvider

          public Sha256AuthenticationProvider()

  - ### Method Detail

    - #### init

          public void init(Map<String,Object> pluginConfig)

      Specified by:
        `init` in interface `BasicAuthPlugin.AuthenticationProvider`

    - #### authenticate

          public boolean authenticate(String username,
                                      String password)

      Specified by:
        `authenticate` in interface `BasicAuthPlugin.AuthenticationProvider`

    - #### getPromptHeaders

          public Map<String,String> getPromptHeaders()

      Specified by:
        `getPromptHeaders` in interface `BasicAuthPlugin.AuthenticationProvider`

    - #### sha256

          public static String sha256(String password,
                                      String saltKey)

    - #### edit

          public Map<String,Object> edit(Map<String,Object> latestConf,
                                         List<CommandOperation> commands)

      Description copied from interface: `ConfigEditablePlugin`
      Operate the commands on the latest conf and return a new conf object If there are errors in the commands , throw a SolrException. return a null if no changes are to be made as a result of this edit. It is the responsibility of the implementation to ensure that the returned config is valid . The framework does no validation of the data
      Specified by:
        `edit` in interface `ConfigEditablePlugin`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.